Scilab Function
Last update : 00/00/0000

x_message - boîte de dialogue modale

### Calling Sequence

  `[num]=x_message(strings [,buttons])`

### Parameters

- `strings` : vecteur de chaînes de caractères à afficher
- `buttons` : chaîne de caractère ou vecteur de deux chaînes de caractères donnant les noms des boutons ("Ok" par défaut).
- `num` : numéro du bouton pressé (si 2 boutons ont été spécifiés)

### Description

Pour afficher un message (diagnostic, ... ) et attendre une réponse (pression sur un bouton). La fonction rend la main dès qu'un des deux boutons est pressé.

### Examples

     gain=0.235;x_message('La valeur du gain est :'+string(gain))
     x_message(['matrice singuliere';'utiliser les moindres carres'])

     r=x_message(['Votre probleme est mal conditionne';
                 'continuer ?'],['Oui','Non'])

### See Also

`x_dialog`, `x_mdialog`, `x_message_modeless`,